aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-06-17 09:23:40 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-06-20 09:46:41 +0000
commit06ffa5b4f39b70684f9376108e8053cd8e8fe23e (patch)
tree7e00b106ca20135db262b70854dacc6a9d476fb7 /testing
parent4f09692f198e58ae19889fd9078555dae84a88dd (diff)
downloadaports-06ffa5b4f39b70684f9376108e8053cd8e8fe23e.tar.gz
aports-06ffa5b4f39b70684f9376108e8053cd8e8fe23e.tar.bz2
aports-06ffa5b4f39b70684f9376108e8053cd8e8fe23e.tar.xz
testing/gns3-converter: upgrade to 1.3.0, setup with python3
Diffstat (limited to 'testing')
-rw-r--r--testing/gns3-converter/APKBUILD16
1 files changed, 8 insertions, 8 deletions
diff --git a/testing/gns3-converter/APKBUILD b/testing/gns3-converter/APKBUILD
index 6561a5b561..8c236f21bc 100644
--- a/testing/gns3-converter/APKBUILD
+++ b/testing/gns3-converter/APKBUILD
@@ -1,30 +1,30 @@
# Contributor: Francesco Colista <fcolista@alpinelinux.org>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=gns3-converter
-pkgver=1.2.4
+pkgver=1.3.0
pkgrel=0
pkgdesc="GNS3 topology converter."
url="https://github.com/dlintott/gns3-converter"
arch="noarch"
license="GPL3"
-depends="py-cx_freeze py-configobj"
+depends="py-cx_freeze py-configobj python3"
depends_dev=""
makedepends="$depends_dev py-setuptools"
install=""
subpackages=""
-source="$pkgname-$pkgver.tar.gz::https://github.com/dlintott/$pkgname/archive/v$pkgver.tar.gz"
+source="$pkgname-$pkgver.tar.gz::https://github.com/GNS3/$pkgname/archive/v$pkgver.tar.gz"
builddir="$srcdir"/$pkgname-$pkgver
build() {
cd "$builddir"
- python setup.py build || return 1
+ python3 setup.py build || return 1
}
package() {
cd "$builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
-md5sums="9189904912a7eca035bc88fdc58cbd91 gns3-converter-1.2.4.tar.gz"
-sha256sums="898d8f756a7952f13a189ed6423fa2bdd485ebd444a7ce6c33c3a235212301ae gns3-converter-1.2.4.tar.gz"
-sha512sums="7113350c98923454f075b03fb2918cb5e5c469e8f015f4d79d12fa1c198d7a95fd97f5146f9e28b40880b1e566607ae93dd386f254bb1b5b4879268abc82192d gns3-converter-1.2.4.tar.gz"
+md5sums="b7f01539dec3909e05d91fd43f9f74cd gns3-converter-1.3.0.tar.gz"
+sha256sums="771b3ab878de87007d00342507bdd381c8d60870afa1537b20e791f5d4d80716 gns3-converter-1.3.0.tar.gz"
+sha512sums="ac2e44b3f02c8f0429158e11c964bf342973809139dcf34863071905400964006d7adbc3ddb80efe57a5ecc5eaf59e228bf7d07a7e5776dd6bcf51b4e1d3fe57 gns3-converter-1.3.0.tar.gz"